# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`json_file_reporter`](#json_file_reporter): converts the report into json and store it on the disk
* [`json_file_reporter::params`](#json_file_reporterparams): Default values

## Classes

### json_file_reporter

converts the report into json and store it on the disk

* **See also**
https://www.github.com/syseleven/puppet-json-file-reporter

#### Examples

##### simple usage

```puppet
include json_file_reporter
```

##### change the directory for the reports to "/var/cache/foo"

```puppet
class { 'json_file_reporter':
  report_dir => '/var/cache/foo',
}
```

##### enable the hosts sub directory

```puppet
class { 'json_file_reporter':
  enable_hosts_subdir => true,
}
```

#### Parameters

The following parameters are available in the `json_file_reporter` class.

##### `report_dir`

Data type: `Stdlib::Absolutepath`

Directory to store the reports

Default value: '/opt/puppetlabs/server/data/puppetserver/reports-json'

##### `enable_hosts_subdir`

Data type: `Boolean`

enables/disables a subdir within $report named after the hostname for the report

Default value: `false`

##### `config_owner`

Data type: `String`

Owner of the configuration file

Default value: $json_file_reporter::params::config_owner

##### `config_group`

Data type: `String`

Group of the configuration file

Default value: $json_file_reporter::params::config_group

##### `enable_newline`

Data type: `Boolean`



Default value: `true`

### json_file_reporter::params

Default values

